server {
    listen 80 default;
    client_max_body_size 108M;
    access_log /var/log/nginx/application.access.log;
    root /application/public;
    index index.php;

    if (!-e $request_filename) {
        rewrite ^.*$ /index.php last;
    }

    location ~ \.php$ {
        fastcgi_pass php-fpm:9000;
        fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_param PHP_VALUE "error_log=/var/log/nginx/application_php_errors.log";
        fastcgi_buffers 16 16k;
        fastcgi_buffer_size 32k;
        include fastcgi_params;
    }
}

server {
    listen 443 ssl http2;
    server_name www.store.weface.asia;

    ssl_certificate conf.d/weface.pem;
    ssl_certificate_key conf.d/weface.asia.key;

    return 301 https://store.weface.asia$request_uri;
}

server {
    listen 443 ssl http2;
    server_name store.weface.asia;

    ssl_certificate conf.d/weface.pem;
    ssl_certificate_key conf.d/weface.asia.key;

    client_max_body_size 108M;
    access_log /var/log/nginx/application.access.log;

    root /application/public;
    index index.php;

    if (!-e $request_filename) {
        rewrite ^.*$ /index.php last;
    }

    location ~ \.php$ {
        fastcgi_pass php-fpm:9000;
        fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_param PHP_VALUE "error_log=/var/log/nginx/application_php_errors.log";
        fastcgi_buffers 16 16k;
        fastcgi_buffer_size 32k;
        include fastcgi_params;
    }
}